webdevqa.jp.net

Microsoft Visual C++ 14.0が必要です(vcvarsall.batが見つかりません)

Python 3.5をインストールしました

pip install mysql-python

それは私に次のエラーを与えます

error: Microsoft Visual C++ 14.0 is required (Unable to find vcvarsall.bat)

パスに次の行を追加しました

C:\Program Files\Python 3.5\Scripts\;
C:\Program Files\Python 3.5\;

C:\Windows\System32;
C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC;
C:\Program Files (x86)\Microsoft Visual Studio 11.0\VC

私のPCには64bit Win 7のセットアップがあります。

pipによってこのエラーを軽減し、モジュールを正しくインストールするための解決策は何でしょう。

149
Umanda

あなたのパスはVisual Studio 11と12だけをリストします、それは14を望みます、それは Visual Studio 2015 です。あなたがそれをインストールし、Languages->C++のボックスをチェックするのを忘れないなら、それはうまくいくはずです。

私のPython 3.5インストールでは、エラーメッセージはもう少し便利で、それを取得するためのURLを含んでいました

 error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools

編集:新しい作業 リンク

編集:Lightfire228で示唆されているように、エラーが消えるためにはsetuptoolsパッケージをアップグレードする必要があるかもしれません:

pip install --upgrade setuptools
82
davidsheldon

以下のエラーを解決するには

  • Failed building wheel for misaka
  • Failed to build misaka
  • Microsoft Visual C++ 14.0 is required
  • Unable to find vcvarsall.bat

解決策は次のとおりです。

  1. Visual Studio 2017のビルドツール に移動します。

  2. Visual Studio Community 2017の下で無料ダウンロードを選択してください。これでインストーラがダウンロードされます。インストーラを実行してください。

  3. ワークロードタブで必要なものを選択してください。

    a。 Windowsでは、3つの選択肢があります。デスクトップ開発をC++でのみ確認する

    b。 Web&Cloudでは、7つの選択肢があります。 Pythonの開発をチェックするだけです(これはオプションだと思いますが、私はやっています)。

  4. Cmdにpip3 install misakaと入力します。 enter image description here

すでにVisual Studioをインストールしている場合は、インストーラーを実行したときに自分で変更でき(Visual Studio Community 2017の下の[変更]ボタンをクリック)、手順3と4を実行できます。

Screenshot of Modify button

最後の注意:すべてのモジュールをインストールしたくない場合は、以下の3つのモジュール(またはVC++ 2017の新しいバージョン)を用意すれば十分です。 ( Visual Studioビルドツール をこれらのオプションだけでインストールすることもできるので、Visual Studio Community Edition自体をインストールする必要はありません)=>この最小インストールはすでに4.5GBなので、何かを節約すると便利です The modules you need for c++ compiler

67
WISAM

バイナリインストールは簡単です。

私はだれもこれを提案していないと信じられない - pipにはバイナリのみのオプションを使う。たとえば、mysqlclientの場合:

pip install --only-binary :all: mysqlclient

多くのパッケージは、リリースごとにビルドを作成するわけではないため、pipをソースからビルドする必要があります。最新のコンパイル済みバイナリバージョンを使用したい場合は、--only-binary :all:を使用して、pipで古いバイナリバージョンを使用できるようにします。

53

他の回答が指摘したように、1つの解決策はVisual Studio 2015をインストールすることです。しかし、それは数GBのディスクスペースを必要とします。回避策の1つは、プリコンパイル済みバイナリをインストールすることです。ウェブページ http://www.lfd.uci.edu/~gohlke/pythonlibsmirror )には、多くのPythonパッケージ用のコンパイル済みバイナリが含まれています。興味のあるパッケージをダウンロードしたら、pip installを使ってインストールできます。 pip install mysqlclient‑1.3.10‑cp35‑cp35m‑win_AMD64.whl

48

私は私のWindows 10マシンにScrapyウェブスクレイピングPythonフレームワークをインストールしようとしているときに正確な問題を抱えていました。私はこのようにして解決策を考え出しました:

  1. このリンクからlatest(最後のもの)ホイールファイルをダウンロードしてください。 twistedパッケージのホイールファイルenter image description here

  2. このホイールファイルは、Pythonをインストールしたディレクトリに保存することをお勧めします。すなわち、{ローカルディスクCのどこかにある

  3. それからwheelファイルが存在するフォルダに行き、pip install <*wheel file's name*>を実行してください。

  4. 最後にもう一度pip install Scrapyコマンドを実行してください、そしてあなたは大規模なWindows C++ Package/SDKをダウンロードすることを必要としたScrapyか他のツールを使うのはいいことです。

免責事項Scrapyをインストールしようとしている間、この解決策は私にとってはうまくいきましたが、他のソフトウェア/パッケージなどをインストールしている間に同じことが起こることを保証できません。

40

SpaCyモジュールをインストールするとき、私は同じ問題を抱えていました。そして私はコントロールパネルをチェックした。私はいくつかのビジュアルC++再配布可能ファイルが既にインストールされている。

私のしたことは、すでに私のPCにインストールされている "Microsoft Visual Studio Community 2015"を選択することでした - > "変更" - > "Visual C++ 2015の共通ツール"をチェックそれからそれはそれをインストールするために時間がかかり、1 GB以上ダウンロードします。

これで私の問題は解決しました。今私はspaCyがインストールされています。

私はこれと同じ問題を抱えていました。 setuptoolsを更新するためのソリューション

pip install -U setuptools

または

pip install setuptools --upgrade
8
user3661384

答えを ocean800davidsheldon 、および user3661384 で拡張するには、次のようにします。

新しいバージョンが利用可能になったので、Visual Studio Tools 2015はもう使用しないでください。 Python documentation で示されているように、代わりにVisual Studio Tools 2017を使用してください。

Visual C++ Build Tools 2015は、MicrosoftによってVisual Studio 2017用のBuild Toolsにアップグレードされました。

ここ からダウンロードしてください

セットアップツールを実行していない場合は、setuptoolsも必要です。

pip install setuptools

またはすでにお持ちの場合は、必ずアップグレードしてください。

pip install setuptools --upgrade

上記のPythonドキュメントへのリンクでは、setuptoolsのバージョンは34.4.0以上でなければなりません。 VS Toolsが機能するためのツール

6
Simon

これらの必須パッケージがインストールされていることを確認してください。私がチェックしたパッケージをインストールしたので、私の場合は完璧に動作しました enter image description here

6

私はmayaviをインストールしようとしている間、私はこの正確な問題を抱えていました。

そのため、ライブラリをpipインストールするときにもerror: Microsoft Visual C++ 14.0 is requiredという共通点がありました。

Example of Error

多くのWebページとこのスレッドに対する解決策を調べた結果、それらのうちnone個が機能しました。私はこれらのステップ(大部分は以前の解決策から取られた)がこれを機能させることができると考えました。

  1. Visual Studio 2017のビルドツール に移動し、Build Tools for Visual Studio 2017をインストールします。これはAll downloadsscroll down)>> Tools for Visual Studio 2017 の下にあります。
    • すでにインストールしている場合は2に進んでください。

Installing Build Tools

  1. あなたが必要とするC++ Componentsを選択してください(どれが必要なのかわからなかったので、それらの多くをインストールしました)。
    • Build Tools for Visual Studio 2017を既にインストールしている場合は、Visual Studio Installerアプリケーションを開き、Visual Studio Build Tools 2017 >> Modify >> Individual Componentsに移動して必要なコンポーネントを選択します。
    • 他の答えからすると、重要な要素は次のように見えます。C++/CLI supportVC++ 2017 version <...> latestVisual C++ 2017 Redistributable UpdateVisual C++ tools for CMakeWindows 10 SDK <...> for Desktop C++Visual C++ Build Tools core featuresVisual Studio C++ core features

Select Components

  1. Visual Studio Build Tools 2017のためにこれらのコンポーネントをインストール/修正してください。

  2. これは重要なステップです。アプリケーションVisual Studio Installerを開き、Visual Studio Build Tools >> Launchに移動します。これにより、Microsoft Visual Studio\YYYY\BuildToolsの正しい場所にCMDウィンドウが開きます。

Open Visual Studio Installer Launch Visual Studio Build Tools CMD Build Tools Window

  1. このCMDウィンドウ内にpython -m pip install --upgrade setuptoolsを入力してください。

CMD Update Setuptools

  1. 最後に、このsame CMDウィンドウにpythonライブラリをインストールしてください:pip install -U <library>

CMD Install Python Library

5
Aldahunter

私は同じ問題を抱えていました。 Visual Studio 2017のビルドツールをダウンロードするのは私のために働いた。それを見つける ここ

4
ocean800

私は全く同じ問題を抱えていて、 mysql-connector-python をインストールすることでそれを解決しました:

pip install mysql-connector-python

私はpython3.7とwindows 10を使っていて、Visual Studio 2017用のMicrosoft Build Tools( here を参照)をインストールしてもあなたの問題と同じ問題は解決しませんでした。

4
New2coding

最新のPython 3.6を使用しているときに同じ問題が発生しただけです。 Windows OS 10 Home Editionおよび64ビット操作システム

この問題を解決するための手順:

  1. コントロールパネルから、使用しているVisual Studioのすべてのバージョンをアンインストールします。
  2. Visual Studio 2015をインストールし、Visual C++ 14.0を単独でインストールする既定のオプションを選択します。
  3. あなたはscrapyをインストールするためにPycharmを使うことができます - >プロジェクト - >プロジェクトインタプリタ - > +(scrapyをインストールする)
  4. REPLとpycharmのスクラップをインポートで確認してください。エラーは表示されません。
2
Sandeep Anand

パッケージに official fork が必要なバイナリホイールを含んでいるかどうか調べてください。

私はパッケージpython-Levenshteinが必要で、このエラーがあり、代わりにパッケージpython-Levenshtein-wheelsを見つけます。

1
XavierBrt

同様の状況でpymssqlをインストールしていた

公式の車輪がなかったので、pipはパッケージを構築しようとしていました
python 3.6およびwindowsの場合は。

ここから非公式の車輪をダウンロードすることによってそれを解決しました:
http://www.lfd.uci.edu/~gohlke/pythonlibs/ /

特にあなたの場合 - > http://www.lfd.uci.edu/~gohlke/pythonlibs/#mysql-python

1
Yonti

私は同じ問題を抱えていました。 64ビット版のPythonが必要だったので、3.5.0をインストールしました(これを書いている時点での最新版)。 3.4.3に切り替えた後、私のモジュールのインストールはすべてうまくいきました。

Windows用Pythonリリース

1
David Braun

ここと他の場所で解決策のどれも私のために働きませんでした。 32ビット版のPythonを使用しているため、互換性のない32ビット版のmysqlclientが64ビット版のWindows 10 OSにインストールされています。

私は現在のPython 3.7 32bitをアンインストールし、そしてPython 3.7 64bitを再インストールしなければなりませんでした。

0
Vyrnach

for Python 3.7.4以下の一連のコマンドが機能しました:それらのコマンドの前に、C++でデスクトップを確認し、PythonがVisual Studioにインストールされている必要があります。

cd "C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build"
vcvarsall.bat x86_AMD64
cd \
set CL=-FI"%VCINSTALLDIR%\tools\msvc\14.16.27023\include\stdint.h"


pip install pycrypto
0
Royal.O

@Sushant Chaudharyの回答にコメントできなかったので、ここに回答を追加することを考えました。

私はscrapyをインストールしようとしたときに正確な問題に直面していました。私は@Sushant Chaudharyの上記の答えからの指示に従っていました。

私の場合は、以下のようにlxmlに関して別のエラーが出ました

copying src\lxml\isoschematron\resources\xsl\iso-schematron-xslt1\readme.txt -> build\lib.win-AMD64-3.7\lxml\isoschematron\resources\xsl\iso-schematron-xslt1
running build_ext
building 'lxml.etree' extension
error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools

Scrapを正しくインストールするには、lxml-4.2.3-cp37-cp37m-win_AMD64.whlをインストールする必要がありました。

  1. https://www.lfd.uci.edu/~gohlke/pythonlibs/#lxml からlxml - 4.2.3 - cp37 - cp37m - win_AMD64.whlをダウンロードしてください。
  2. pythonがインストールされているときにフォルダに入れる
  3. pip install <file-name>を使ってインストールする

これでpip install scrapyを実行できます

0
Vishal Patel

おっとっと!彼らは PyPI の上にWindowsホイールを持っていないように見えます。

それまでの間、ソースからのインストールはおそらくうまくいくか、エラーメッセージに表示されているようにMSVC++ 14をダウンロードしてみてください。

Christophのサイト にはPython拡張パッケージ用の非公式のWindowsバイナリ(.whlファイル)もあります。

以下のリンクに記載されている手順に従ってバイナリをインストールします。

  1. 直接ベースpythonに /
  2. 仮想環境では/ Pycharm

またチェックしてください:

ダウンロードするバイナリ

0
Shashank Singh

私は同じ問題に直面していました。あなたのシステムにインストールされているpythonのバージョンに従って、 Christoph Gohlke installers siteから非公式のバイナリファイルをダウンロードしてください。ファイルをインストールしたフォルダに移動して実行します。

pip install filename

私のマシンは64ビットで、Pythonのバージョンは3.5なので、私にとってpython_ldap‑3.0.0‑cp35‑cp35m‑win_AMD64.whlはうまくいきました。これで私のwindowsマシンにpython-ldapが正常にインストールされました。 mysql-pythonでも同じことができます。

0
Sneha

SOでたくさんの答えを読んでも、どれもうまくいかなかったので、 this スレッドの手順に従って解決しました。ページが消えた場合の手順はここに残します。

以下のように、Visual Studio 2017用のビルドツールをインストールし、ワークロード「Visual C++ビルドツール」を選択し、オプション「デスクトップ用のC++/CLIサポート」および「VC++ 2015.3 v14.00(v140)ツールセット」を確認してください。

enter image description here

それが私のためにしたようにそれが役立つことを願っています。

0
ElBaulP